EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a directory and an «open e-book» (OEB) consisting of HTML files is written to that directory. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see conversion

Whenever you pass arguments to ebook-convert that have spaces in them, enclose the arguments in quotation marks. For example: «/some path/with spaces»

The options and default values for the options change depending on both the input and output formats, so you should always check with:

ebook-convert myfile.input_format myfile.output_format -h

Below are the options that are common to all conversion, followed by the options specific to every input and output format.

•   OPCIONS D’ENTRADA

•   OPCIONS DE SORTIDA

•   ASPECTE I COMPORTAMENT

•   PROCESSAMENT HEURÍSTIC

•   CERCA I SUBSTITUCIÓ

•   DETECCIÓ DE L’ESTRUCTURA

•   TAULA DEL CONTINGUT

•   METADADES

•   DEPURACIÓ

--help, -h
    mostra aquest missatge d'ajut i surt

--input-profile
    Especifica el perfil d'entrada. El perfil d'entrada proporciona informació al sistema de conversió de com interpretar informació diversa del document d'entrada. Per exemple, longituds depenent de la resolució (longitud en píxels). Les opcions són:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    List builtin recipe names. You can create an e-book from a builtin recipe like this: ebook-convert "Recipe Name.recipe" output.epub

--output-profile
    Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device (such as by resizing images for the device screen size). In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

--version
    mostra el número de versió del programa i surt

OPCIONS D’ENTRADA

Opcions per controlar el processament del fitxer d’entrada mobi

--input-encoding
    Especifiqueu la codificació de caràcters del document d'entrada. Aquesta opció anul·larà qualsevol codificació que pugui estar indicada al document. És particularment útil per a documents que no indiquen cap codificació o ho fan incorrectament.

OPCIONS DE SORTIDA

Opcions per a controlar el processament de la sortida epub

--dont-split-on-page-breaks
    Turn off splitting at page breaks. Normally, input files are automatically split at every page break into two files. This gives an output e-book that can be parsed faster and with less resources. However, splitting is slow and if your source file contains a very large number of page breaks, you should turn off splitting on page breaks.

--epub-flatten
    Només es necessita aquesta opció si voleu fer servir l'EPUB amb el FBReaderJ. Aplanarà el sistema de fitxers de dins l'EPUB i posarà tots els fitxers al nivell superior.

--epub-inline-toc
    Insereix una taula del contingut en línia que apareixerà com a part del contingut principal del llibre.

--epub-toc-at-end
    Posa la taula del contingut en línia inserida al final del llibre en lloc del començament.

--extract-to
    Extract the contents of the generated EPUB file to the specified directory. The contents of the directory are first deleted, so be careful.

--flow-size
    Split all HTML files larger than this size (in KB). This is necessary as most EPUB readers cannot handle large file sizes. The default of 260KB is the size required for Adobe Digital Editions. Set to 0 to disable size based splitting.

--no-default-epub-cover
    Si el fitxer d'entrada no té portada i no n'especifiqueu cap, es genera una portada per defecte amb títol, autors… Aquesta opció inhabilita la generació d'aquesta portada.

--no-svg-cover
    No facis servir una portada SVG. Feu servir aquesta opció si el vostre EPUB es farà servir a un dispositiu que no té suport per a SVG, com l'iPhone o el JetBook Lite. Sense aquesta opció, aquests dispositius mostraran una portada en blanc.

--preserve-cover-aspect-ratio
    Quan s'utilitza una portada SVG, aquesta opció fa que s'escali per cobrir l'àrea de pantalla disponible, però encara conservarà la seva relació d'aspecte (relació entre l'amplada i l'altura). Això significa que pot haver bores blanques als costats o a la part superior i inferior de la imatge, però la imatge mai es distorsiona. Sense aquesta opció, la imatge pot estar una mica distorsionada, però no hi haurà bores.

--pretty-print
    Si ho indiqueu, el connector de sortida intentarà generar una sortida que sigui el més llegible possible. Pot ser que no tingui cap efecte en alguns connectors de sortida.

--toc-title
    Títol per a qualsevol taula del contingut generada automàticament.

ASPECTE I COMPORTAMENT

Opcions per controlar l’aparença de la sortida

--asciiize
    Transcriu els caràcters unicode a una representació ASCII. Utilitzeu-ho amb compte perquè això substituirà els caràcters amb ASCII. Per exemple, substituirà «Михаил Горбачёв» per «Mikhail Gorbachiov». Tingueu també en compte que en casos que hi ha múltiples representacions d'un caràcter (per exemple caràcters compartits pel xinès i el japonès) s'utilitzarà la representació basada en la llengua actual de la interfície de calibre.

--base-font-size
    La mida base de la lletra en punts. Totes les mides de les lletres al llibre resultant es canviaran d'escala basant-se en aquesta mida. Si trieu una mida més gran, podreu augmentar la mida de les lletres a la sortida i a l'inrevés. Per defecte, la mida base de la lletra se selecciona en funció del perfil de sortida que es triï.

--change-justification
    Modifica el valor d'alineació del text. El valor «esquerra» converteix l'alineació de tot el text de l'origen en text alineat a l'esquerra (no justificat). El valor «justificat» converteix tot el text no justificat en text justificat. El valor «original» (per defecte) no modifica l'alineació del fitxer d'origen. Només alguns formats de sortida són compatibles amb l'alineació.

--disable-font-rescaling
    Inhabilita tots els canvis d'escala de les mides de les lletres.

--embed-all-fonts
    Embed every font that is referenced in the input document but not already embedded. This will search your system for the fonts, and if found, they will be embedded. Embedding will only work if the format you are converting to supports embedded fonts, such as EPUB, AZW3, DOCX or PDF. Please ensure that you have the proper license for embedding the fonts used in this document.

--embed-font-family
    Embed the specified font family into the book. This specifies the "base" font used for the book. If the input document specifies its own fonts, they may override this base font. You can use the filter style information option to remove fonts from the input document. Note that font embedding only works with some output formats, principally EPUB, AZW3 and DOCX.

--expand-css
    By default, calibre will use the shorthand form for various CSS properties such as margin, padding, border, etc. This option will cause it to use the full expanded form instead. Note that CSS is always expanded when generating EPUB files with the output profile set to one of the Nook profiles as the Nook cannot handle shorthand CSS.

--extra-css
    Qualsevol camí a un full d'estil CSS o CSS en brut. Aquest CSS s'annexarà a les regles d'estil del fitxer d'origen, així es pot utilitzar per anul·lar aquelles regles.

--filter-css
    Una llista separada per comes de propietats CSS que se suprimiran de totes les regles d'estil CSS. És útil si la presència d'alguna informació d'estil no permet la substitució al vostre dispositiu. Per exemple: font-family,color,margin-left,margin-right

--font-size-mapping
    Mapatge a partir dels noms de les lletres del CSS en mides de lletres en punts. Un exemple d'establiment és 12,12,14,16,18,20,22,24. Aquests són els mapatges per a les mides des de xx-petita fins a xx-gran, amb una mida final per a les lletres enormes. L'algorisme de canvi d'escala de la lletra utilitza aquestes mides per a un canvi intel·ligent d'escala de les lletres. Per defecte s'utilitza un mapatge basat en el perfil de sortida que heu triat.

--insert-blank-line
    Insereix una línia en blanc entre paràgrafs. No funciona si el fitxer d'origen no indica els paràgrafs (amb les etiquetes <p> o <div>).

--insert-blank-line-size
    Estableix l'alçada de les línies en blanc inserides (en unitats em). L'alçada de les línies entre paràgrafs serà el doble del valor que s'estableixi aquí.

--keep-ligatures
    Conserva les lligadures presents al document d'entrada. Una lligadura és una renderització especial d'un parell de caràcters com ara ff, fi, fl…. La majoria dels lectors no admeten les lligadures en les seves lletres predeterminades, per aquest motiu és poc probable que les renderitzin correctament. Per defecte, calibre canvia una lligadura pel seu parell corresponent de caràcters normals. Aquesta opció fa que les lligadures en conservin en lloc seu.

--line-height
    L'alçada de línia en punts. Controla l'espaiat entre línies consecutives de text. Només s'aplica a elements que no defineixen la seva alçada de línia. A la majoria de casos és més útil l'opció de l'alçada mínima de línia. Per defecte no es manipula l'alçada de línia.

--linearize-tables
    Alguns documents mal dissenyats utilitzen taules per controlar la disposició del text a la pàgina. Quan es converteixen sovint hi ha desplaçaments del text fora de la pàgina i altres artefactes. Aquesta opció extreu el contingut de les taules i el presenta de forma lineal.

--margin-bottom
    Set the bottom margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-left
    Set the left margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-right
    Set the right margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-top
    Set the top margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--minimum-line-height
    L'alçada mínima de la línia, com a un percentatge de la mida de la lletra calculada de l'element. Calibre s'assegurarà que cada element tingui una alçada de línia d'almenys aquest ajust, independentment del que especifiqui el document d'entrada. Zero per a inhabilitar-ho. Per defecte és 120%. Utilitzeu aquest ajust en lloc de l'especificació directa de l'alçada de la línia, llevat que sapigueu el que esteu fent. Per exemple, podeu assolir text a «doble espai» amb l'establiment del valor a 240.

--remove-paragraph-spacing
    Elimina l'espaiament entre paràgrafs. També insereix un sagnat als paràgrafs d'1.5 em. L'eliminació de l'espaiament no funcionarà si el fitxer d'origen no conté paràgrafs (amb les etiquetes <p> o <div>).

--remove-paragraph-spacing-indent-size
    Quan calibre suprimeix leslínies en blanc entre paràgrafs, estableix automàticament un sagnat per assegurar-se que es puguin distingir bé els paràgrafs. Aquesta opció controla l'amplada del sagnat (en unitats em). Si s'estableix un valor negatiu, s'utilitza el sagnat especificat al document d'entrada, és a dir, calibre no canvia el sagnat.

--smarten-punctuation
    Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see https://daringfireball.net/projects/smartypants

--subset-embedded-fonts
    Subconjunt de totes les lletres incrustades. Es redueixen totes les lletres incrustades perquè només continguin els caràcters utilitzats al document. Això redueix la mida dels fitxers de les lletres. És útil si incrusteu una lletra especialment gran amb molts caràcters que no s'utilitzen.

--transform-css-rules
    Path to a file containing rules to transform the CSS styles in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform styles" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--unsmarten-punctuation
    Converteix les cometes els guions i els punts suspensius als seus equivalents senzills.

PROCESSAMENT HEURÍSTIC

Modifica el text i l’estructura del document utilitzant patrons habituals. Inhabilitat per defecte. Utilitzeu –enable-heuristics per habilitar-ho. Es pot inhabilitar les accions individuals amb les opcions –disable-
*
.

--disable-dehyphenate
    Analitza les paraules amb guió de tot el document. Es fa servir el mateix document com a diccionari per determinar si s'ha de mantenir o suprimir els guions.

--disable-delete-blank-paragraphs
    Suprimeix els paràgrafs buits del document si aquests estan intercalats entre qualsevol altre paràgraf

--disable-fix-indents
    Converteix els sagnats creats amb blocs de múltiples espais seguits en sagnats CSS.

--disable-format-scene-breaks
    Els marcadors de salt d'escena alineats a l'esquerra se centren. Se suprimeixen els salts d'escena amb múltiples línies en blanc per línies horitzontals.

--disable-italicize-common-cases
    Cerca paraules i patrons que solen estar en cursiva i posar-los-hi.

--disable-markup-chapter-headings
    Detecta els encapçalaments i els sub-encapçalaments sense format dels capítols i canvia'ls a etiquetes h2 i h3. Aquest ajust no crearà una taula del contingut però es pot fer servir conjuntament amb la detecció de l'estructura per crear-ne un.

--disable-renumber-headings
    Cerca la presència de seqüències d'etiquetes <h1> o <h2>. Es torna a numerar les etiquetes per evitar una divisió al mig dels encapçalaments dels capítols.

--disable-unwrap-lines
    Suprimeix els salts de línia mitjançant la puntuació i altres indicis de formatació.

--enable-heuristics
    Habilita el processament heurístic. S'ha d'activar aquesta opció per tal de poder fer qualsevol processament heurístic.

--html-unwrap-factor
    Escala utilitzada per determinar la longitud en què s'ha de suprimir el salt de línia. Els valors vàlids són un decimal entre 0 i 1. El valor per defecte és 0.4, just per sota de la longitud mitjana de la línia. Si únicament hi ha molt poques línies al document que requereixin la supressió del salt de línia, aleshores s'hauria de reduir aquest valor.

--replace-scene-breaks
    Substitueix els salts d'escena pel text especificat. Per defecte s'utilitza el text del document d'entrada.

CERCA I SUBSTITUCIÓ

Modifica el text i l’estructura del document mitjançant els patrons definits per l’usuari.

--search-replace
    Path to a file containing search and replace regular expressions. The file must contain alternating lines of regular expression followed by replacement pattern (which can be an empty line). The regular expression must be in the Python regex syntax and the file must be UTF-8 encoded.

--sr1-replace
    Text de substitució del que es trobi amb sr1-search.

--sr1-search
    Patró de cerca (expressió regular) que se substituirà per sr1-replace.

--sr2-replace
    Text de substitució del que es trobi amb sr2-search.

--sr2-search
    Patró de cerca (expressió regular) que se substituirà per sr2-replace.

--sr3-replace
    Text de substitució del que es trobi amb sr3-search.

--sr3-search
    Patró de cerca (expressió regular) que se substituirà per sr3-replace.

DETECCIÓ DE L’ESTRUCTURA

Controla l’autodetecció de l’estructura del document.

--chapter
    An XPath expression to detect chapter titles. The default is to consider <h1> or <h2> tags that contain the words "chapter", "book", "section", "prologue", "epilogue" or "part" as chapter titles as well as any tags that have class="chapter". The expression used must evaluate to a list of elements. To disable chapter detection, use the expression "/". See the XPath Tutorial in the calibre User Manual for further help on using this feature.

--chapter-mark
    Especifica com s'ha de marcar els capítols detectats. El valor «pagebreak» insereix un salt de pàgina abans dels capítols. El valor «rule» insereix una línia abans dels capítols. El valor «none» inhabilita les marques dels capítols i el valor «both» insereix un salt de pàgina i una línia per marcar els capítols.

--disable-remove-fake-margins
    Alguns documents especifiquen els marges de pàgina amb un marge a la dreta i a l'esquerra per a cada paràgraf. El calibre pot intentar detectar i suprimir aquests marges. A vegades es poden suprimir marges que no s'haurien d'haver eliminat, en aquest cas es pot inhabilitar la supressió.

--insert-metadata
    Insert the book metadata at the start of the book. This is useful if your e-book reader does not support displaying/searching metadata directly.

--page-breaks-before
    Una expressió XPath. S'insereixen salts de pàgina abans dels elements especificats. Per inhabilitar-ho utilitzeu l'expressió: /

--prefer-metadata-cover
    Estableix la portada detectada al fitxer d'origen de forma preferent a la portada indicada.

--remove-first-image
    Remove the first image from the input e-book. Useful if the input document has a cover image that is not identified as a cover. In this case, if you set a cover in calibre, the output document will end up with two cover images if you do not specify this option.

--start-reading-at
    An XPath expression to detect the location in the document at which to start reading. Some e-book reading programs (most prominently the Kindle) use this location as the position at which to open the book. See the XPath tutorial in the calibre User Manual for further help using this feature.

TAULA DEL CONTINGUT

Controla la generació automàtica de la taula del contingut. Si el fitxer d’origen conté una taula del contingut, s’utilitzarà preferentment aquest en lloc del generat automàticament.

--duplicate-links-in-toc
    Quan es crea una taula del contingut a partir dels enllaços al document d'entrada permet que hi hagin entrades duplicades, és a dir, permet més d'una entrada amb el mateix text, sempre i quan apuntin a una ubicació diferent.

--level1-toc
    Expressió XPath que especifica totes les etiquetes s'han d'afegir al primer nivell de la taula del contingut. Si s'especifica té prioritat sobre les altres formes de detecció automàtica. Vegeu alguns exemples a la guia d'aprenentatge de XPath del manual d'usuari de calibre.

--level2-toc
    Expressió XPath que especifica totes les etiquetes s'han d'afegir al segon nivell de la taula del contingut. Cada entrada s'afegeix a sota de l'entrada de primer nivell prèvia. Vegeu alguns exemples a la guia d'aprenentatge de XPath del manual d'usuari de calibre.

--level3-toc
    Expressió XPath que especifica totes les etiquetes s'han d'afegir al tercer nivell de la taula del contingut. Cada entrada s'afegeix a sota de l'entrada de segon nivell prèvia. Vegeu alguns exemples a la guia d'aprenentatge de XPath del manual d'usuari de calibre.

--max-toc-links
    Nombre màxim d'enllaços per afegir a l'índex. Establiu-lo a 0 per a inhabilitar-ho. Per defecte és: 50. Els enllaços s'afegeixen a l'índex si es detecta menys capítols que el nombre d'aquest llindar.

--no-chapters-in-toc
    No afegeixis els capítols detectats automàticament a la taula del contingut.

--toc-filter
    Suprimeix les entrades de la taula del contingut quan els seus títols coincideixin amb l'expressió indicada. Se suprimiran les entrades coincidents i els seus subapartats.

--toc-threshold
    Si el nombre de capítols detectats és menor que aquest s'afegeixen els enllaços a la taula del contingut. Per defecte 6

--use-auto-toc
    Normalment s'utilitza preferentment la taula del contingut del fitxer d'origen, si existeix, al generat automàticament. Amb aquesta opció sempre s'utilitza el generat automàticament.

METADADES

Opcions per assignar metadades a la sortida

--author-sort
    La cadena que s'utilitzarà en l'ordenació per autor.

--authors
    Estableix els autors. Si hi ha diversos autors, s'han de separar amb una "&".

--book-producer
    Estableix el productor del llibre.

--comments
    Estableix la descripció del llibre.

--cover
    Estableix la portada des del fitxer o URL indicats

--isbn
    Estableix l'ISBN del llibre.

--language
    Estableix la llengua.

--pubdate
    Set the publication date (assumed to be in the local timezone, unless the timezone is explicitly specified)

--publisher
    Estableix l'editorial del llibre.

--rating
    Estableix la valoració. Ha de ser un nombre entre 1 i 5.

--read-metadata-from-opf, --from-opf, -m
    Llegeix les metadades del fitxer OPF especificat. Les metadades llegides d'aquest fitxer anul·laran les metadades del fitxer d'origen.

--series
    Estableix la sèrie que pertany el llibre.

--series-index
    Estableix l'índex del llibre en aquesta sèrie.

--tags
    Estableix les etiquetes per al llibre. Ha de ser una llista separada per comes.

--timestamp
    Estableix la marca horària del llibre (ja no s'utilitza enlloc més)

--title
    Estableix el títol.

--title-sort
    La versió del títol que s'utilitzarà per a l'ordenació.

DEPURACIÓ

Opcions per ajudar a la depuració de la conversió

--debug-pipeline, -d
    Desa la sortida de les diferents etapes de la canonada de conversió al directori especificat. És útil si no esteu segur en quina etapa del procés de conversió hi ha un error.

--verbose, -v
    Level of verbosity. Specify multiple times for greater verbosity. Specifying it twice will result in full verbosity, once medium verbosity and zero times least verbosity.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal